%global rbname uconv
Summary: Unicode <-> Japanese-EUC conversion module for Ruby
Name: ruby-%{rbname}

%global momorel 4

Version: 0.4.12
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://www.yoshidam.net/Ruby.html

%NoSource 0 http://www.yoshidam.net/%{rbname}-%{version}.tar.gz 710525818c57e026320dad447c4ae473

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby >= 1.8.6-4m
BuildRequires: ruby-devel >= 1.8.6-4m

%description
Unicode <-> Japanese-EUC conversion library for Ruby.

%prep
%setup -q -n uconv
find . -type f | \
  xargs ruby -p -i -e '$_.sub!(%r|/usr/local|, "%{_prefix}")'
find . -type f | xargs chmod 644

%build
ruby extconf.rb
make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.ja
%{ruby_sitearchdir}/uconv.so

%changelog
* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.12-4m)
- rebuild against ruby-1.8.6-4m

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.12-4m)
- rebuild against ruby-1.8.6-4m

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4.12-4m)
- rebuild against ruby-1.8.6-4m

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.4.12-3m)
- /usr/lib/ruby

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.12-2m)
- rebuild against ruby-1.8.2

* Wed Apr  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.12-1m)
- support Ruby 1.8

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.10-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.10-2m)
- rebuild against ruby-1.8.0.

* Wed Sep 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.10-1m)

* Sun Mar 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.4.9-2k)

* Wed Mar 28 2001 Kenta MURATA <muraken2@nifty.com>
- (0.4.6-3k)

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.4.4-7k)
- fixed for FHS

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Thu Apr 20 2000 Toru Hoshina <t@kondara.org>
- Multi platform support.

* Tue Apr 18 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- Upstream new version.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.
